Bug 1468077 - Transmission-gtk: Update to support openssl 1.1 (rather than the compat package)
Transmission-gtk: Update to support openssl 1.1 (rather than the compat package)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 20:39 EDT by abrouwers
Modified: 2018-03-11 15:58 EDT (History)
9 users (show)

See Also:
Fixed In Version: transmission-2.92-12.fc27 transmission-2.92-12.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-30 13:05:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openssl-1.1.0-patch (3.19 KB, patch)
2018-01-22 14:06 EST, Peter Hjalmarsson
no flags Details | Diff

  None (edit)
Description abrouwers 2017-07-05 20:39:10 EDT
Description of problem:

Transmission was changed to simply depend on the older openssl 1.0 - debian has patches backported to support openssl 1.1, and shipping the package in the latest release:

https://anonscm.debian.org/cgit/collab-maint/transmission.git/tree/debian/patches
Comment 1 Gwyn Ciesla 2017-08-08 11:13:57 EDT
I applied the two relevant patches, and it doesn't build on rawhide:

crypto-utils-openssl.c: In function 'tr_dh_new':
crypto-utils-openssl.c:244:29: error: dereferencing pointer to incomplete type 'DH {aka struct dh_st}'
   if (!check_pointer (handle->p = BN_bin2bn (prime_num, prime_num_length, NULL)) ||
                             ^
crypto-utils-openssl.c:92:56: note: in definition of macro 'check_pointer'
 #define check_pointer(pointer) check_openssl_pointer ((pointer), __FILE__, __LINE__)
                                                        ^~~~~~~
make[1]: *** [Makefile:1253: crypto-utils-openssl.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/home/limb/fedora/git/transmission/transmission-2.92/libtransmission'
make: *** [Makefile:507: all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.2c5zlk (%build)
Comment 2 Peter Hjalmarsson 2018-01-22 14:06 EST
Created attachment 1384563 [details]
openssl-1.1.0-patch

Patch cherry-picked from upstream, passes make check and quick use-test.

--- transmission.spec.old	2018-01-22 19:51:34.248092816 +0100
+++ transmission.spec	2018-01-22 20:01:57.248147531 +0100
@@ -16,8 +16,10 @@
 Patch2:		transmission-fdlimits.patch
 # https://github.com/transmission/transmission/pull/468
 Patch3:		CVE-2018-5702.patch
+# Cherry-picked from upstream
+Patch4:		0001-transmission-build-against-openssl-1.1.0.patch
 
-BuildRequires:  compat-openssl10-devel >= 0.9.4
+BuildRequires:  openssl-devel >= 1.1.0
 BuildRequires:  glib2-devel >= 2.32.0
 BuildRequires:  gtk3-devel >= 3.2.0
 BuildRequires:  libnotify-devel >= 0.4.3
@@ -97,6 +99,7 @@
 %patch1 -p0
 %patch2 -p0
 %patch3 -p1
+%patch4 -p1
 
 # fix icon location for Transmission Qt
Comment 3 Gwyn Ciesla 2018-01-23 10:03:02 EST
Thank you, update coming.
Comment 4 Fedora Update System 2018-01-23 10:49:32 EST
transmission-2.92-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b166805347
Comment 5 Fedora Update System 2018-01-23 10:49:53 EST
transmission-2.92-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-499a02cc9d
Comment 6 Fedora Update System 2018-01-23 17:51:16 EST
transmission-2.92-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b166805347
Comment 7 Fedora Update System 2018-01-23 18:43:13 EST
transmission-2.92-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-499a02cc9d
Comment 8 Fedora Update System 2018-01-30 13:05:37 EST
transmission-2.92-12.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2018-03-11 15:58:10 EDT
transmission-2.92-12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.